Last Comment Bug 594966 - Malformed font leads to crash in Apple's ATSUI [@ProcessSingleMorphRun]
: Malformed font leads to crash in Apple's ATSUI [@ProcessSingleMorphRun]
Status: VERIFIED FIXED
: verified1.9.2
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 1.9.2 Branch
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
Mentors:
Depends on: CVE-2010-3768
Blocks: fuzzing-fonts
  Show dependency treegraph
 
Reported: 2010-09-09 15:06 PDT by Christoph Diehl [:posidron]
Modified: 2012-05-01 06:50 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
final+
.13-fixed
.16-fixed


Attachments
testcase (95.73 KB, application/zip)
2010-09-09 15:06 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (40.97 KB, text/plain)
2010-09-09 15:07 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2010-09-09 15:06:54 PDT
Created attachment 473756 [details]
testcase

Table: b'morx'
Number of replaced values: 2
Offset:  59302/0x00e7a6	Value: ['ff']
Offset:  76624/0x012b50	Value: ['7f', 'ff', 'ff', 'ff']

Execute the provided html file.
Comment 1 Christoph Diehl [:posidron] 2010-09-09 15:07:44 PDT
Created attachment 473758 [details]
callstack
Comment 2 Jonathan Kew (:jfkthame) 2010-09-29 05:22:37 PDT
This will be fixed by the OTS sanitizer (bug 527276).
Comment 3 Al Billings [:abillings] 2010-11-18 15:13:46 PST
Verified fixed in 1.9.2.13 with Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6;
en-US; rv:1.9.2.13pre) Gecko/20101118 Namoroka/3.6.13pre using testcase. Test
no longer crashes as it does in 1.9.2.12.

Note You need to log in before you can comment on or make changes to this bug.